Last Comment Bug 737260 - Concurrent tabs preference doesn't update correctly
: Concurrent tabs preference doesn't update correctly
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on: 868486
Blocks: 731140
  Show dependency treegraph
 
Reported: 2012-03-19 16:55 PDT by neil@parkwaycc.co.uk
Modified: 2013-05-03 10:15 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
affected
affected


Attachments
Proposed patch (3.83 KB, patch)
2012-03-19 17:03 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
Details | Diff | Splinter Review

Description neil@parkwaycc.co.uk 2012-03-19 16:55:19 PDT
I knew I had trouble getting the onselect and onchange events to update the preference window correctly and obviously when tweaking the effect for one preference value I overlooked that another possible value had stopped working.

This made the recent uplift so hopefully I have my tracking flags correct.
Comment 1 neil@parkwaycc.co.uk 2012-03-19 17:03:19 PDT
Created attachment 607375 [details] [diff] [review]
Proposed patch

Instead of fiddling around with onchange and Startup I switched to onsyncfrom/topreference which are more reliable.

I got rid of onselect because it fires when I don't want it to. I used an onclick handler although that doesn't fire in some cases, and for some reason the keyboard accelerator doesn't change the selected radio the first time.

I also added some aria love which I had forgotten on the previous patch.
Comment 2 Ian Neal 2012-03-25 14:56:07 PDT
The strange thing I get when starting the prefs window is the following in the error console:
Error: document.getElementById("navigator_pane").ReadConcurrentTabs is not a function
Source File: chrome://global/content/bindings/preferences.xml
Line: 402
But using JS debugger it definitely does use it, do we still need the preference on the textbox?
Comment 3 neil@parkwaycc.co.uk 2012-03-25 16:44:41 PDT
Pushed changeset f548f391b86c to comm-central.

(In reply to Ian Neal from comment #2)
> The strange thing I get when starting the prefs window is the following in
> the error console:
> Error: document.getElementById("navigator_pane").ReadConcurrentTabs is not a
> function
> Source File: chrome://global/content/bindings/preferences.xml
> Line: 402
Strange; remind me to check my other builds when I update them next week.

Note You need to log in before you can comment on or make changes to this bug.